import request from '@/utils/request'

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/company/companyDept/treeselect',
    method: 'get'
  })
}

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/company/companyDept/list',
    method: 'get',
    params: query
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/company/companyDept/' + deptId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/company/companyDept',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/company/companyDept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/company/companyDept/' + deptId,
    method: 'delete'
  })
}
